<app-menu></app-menu>
<div class="container mat-elevation-z8">
        <div class="row">
                <mat-toolbar color="primary">
                        <span>Consulta Sala</span>
                </mat-toolbar>
        </div>
        <div class="col-12" style="margin-top: 3%">

                <mat-form-field class="col-md-6">
                        <mat-label>Numero</mat-label>
                        <input matInput [(ngModel)]="numero">
                </mat-form-field>
                <mat-form-field class="col-md-6">
                        <mat-label>Recursos</mat-label>
                        <input matInput [(ngModel)]="recursos">
                </mat-form-field>
        </div>
        <div class="col-12">
                <mat-form-field class="col-3">
                        <mat-label>Tipo de Sala</mat-label>
                        <mat-select [(ngModel)]="idTipoSala">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option [value]="x.idDataCatalogo" *ngFor="let x of TipoSala">
                                        {{x.descripcion}}
                                </mat-option>
                        </mat-select>
                </mat-form-field>
                <mat-form-field class="col-3">
                        <mat-label>Sede</mat-label>
                        <mat-select [(ngModel)]="idSede">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option [value]="x.idDataCatalogo" *ngFor="let x of Sede">
                                        {{x.descripcion}}
                                </mat-option>
                        </mat-select>
                </mat-form-field>
                <mat-checkbox class="example-margin" checked class="col-3" [(ngModel)]="estado">Activo
                </mat-checkbox>
                <button mat-raised-button type="submit" color="primary" (click)="consulta()">Filtrar</button>
                <button mat-raised-button type="submit" color="warn" (click)="exportarPDF()">PDF</button>
                <div class="col-12">
                        <div class="mat-elevation-z8">
                                <mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">
                                        <ng-container matColumnDef="idSala">
                                                <th mat-header-cell *matHeaderCellDef style="width: 65px">Id</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 65px">{{ aux.idSala}}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="numero">
                                                <th mat-header-cell *matHeaderCellDef style="width: 210px">Número</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 210px">{{ aux.numero}}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="recursos">
                                                <th mat-header-cell *matHeaderCellDef style="width: 220px">Recursos</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 220px">{{aux.recursos}}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="tipoSala">
                                                <th mat-header-cell *matHeaderCellDef style="width: 190px">Tipo Sala</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 190px">{{aux.tipoSala!.descripcion }}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="sede">
                                                <th mat-header-cell *matHeaderCellDef style="width: 190px">Sede</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 190px">{{aux.sede!.descripcion }}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="estado">
                                                <th mat-header-cell *matHeaderCellDef style="width: 180px">Estado</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 180px">{{ aux.estado == 1 ? "Activo" : "Inactivo" }}</td>
                                        </ng-container>
                                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                                        <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
                                </mat-table>
                                <mat-paginator [pageSizeOptions]="[2, 4, 6]" showFirstLastButtons></mat-paginator>
                        </div>
                </div>
        </div>
</div>
